<?php


abstract class BaseDestinosComisionadosPeer {

	
	const DATABASE_NAME = 'propel';

	
	const TABLE_NAME = 'DESTINOS_COMISIONADOS';

	
	const CLASS_DEFAULT = 'lib.model.DestinosComisionados';

	
	const NUM_COLUMNS = 10;

	
	const NUM_LAZY_LOAD_COLUMNS = 0;


	
	const NITOCC = 'DESTINOS_COMISIONADOS.NITOCC';

	
	const ID_COMISION = 'DESTINOS_COMISIONADOS.ID_COMISION';

	
	const CODMUN = 'DESTINOS_COMISIONADOS.CODMUN';

	
	const ORDEN = 'DESTINOS_COMISIONADOS.ORDEN';

	
	const ESTADO = 'DESTINOS_COMISIONADOS.ESTADO';

	
	const VIGENCIA = 'DESTINOS_COMISIONADOS.VIGENCIA';

	
	const ID_TRANSPORTE = 'DESTINOS_COMISIONADOS.ID_TRANSPORTE';

	const FECHA_INI = 'DESTINOS_COMISIONADOS.FECHA_INI';

	const FECHA_FIN = 'DESTINOS_COMISIONADOS.FECHA_FIN';

	const NUM_DIAS = 'DESTINOS_COMISIONADOS.NUM_DIAS';

	
	private static $phpNameMap = null;


	
	private static $fieldNames = array (
		BasePeer::TYPE_PHPNAME => array ('Nitocc', 'IdComision', 'Codmun', 'Orden', 'Estado', 'Vigencia', 'IdTransporte', ),
		BasePeer::TYPE_COLNAME => array (DestinosComisionadosPeer::NITOCC, DestinosComisionadosPeer::ID_COMISION, DestinosComisionadosPeer::CODMUN, DestinosComisionadosPeer::ORDEN, DestinosComisionadosPeer::ESTADO, DestinosComisionadosPeer::VIGENCIA, DestinosComisionadosPeer::ID_TRANSPORTE, DestinosComisionadosPeer::FECHA_INI, DestinosComisionadosPeer::FECHA_FIN, DestinosComisionadosPeer::NUM_DIAS, ),
		BasePeer::TYPE_FIELDNAME => array ('NITOCC', 'ID_COMISION', 'CODMUN', 'ORDEN', 'ESTADO', 'VIGENCIA', 'ID_TRANSPORTE','FECHA_INI','FECHA_FIN','NUM_DIAS', ),
		BasePeer::TYPE_NUM => array (0, 1, 2, 3, 4, 5, 6, 7, 8, 9, )
	);

	
	private static $fieldKeys = array (
		BasePeer::TYPE_PHPNAME => array ('Nitocc' => 0, 'IdComision' => 1, 'Codmun' => 2, 'Orden' => 3, 'Estado' => 4, 'Vigencia' => 5, 'IdTransporte' => 6,'FechaIni' => 7,'FechaFin' => 8,'NumDias' => 9, ),
		BasePeer::TYPE_COLNAME => array (DestinosComisionadosPeer::NITOCC => 0, DestinosComisionadosPeer::ID_COMISION => 1, DestinosComisionadosPeer::CODMUN => 2, DestinosComisionadosPeer::ORDEN => 3, DestinosComisionadosPeer::ESTADO => 4, DestinosComisionadosPeer::VIGENCIA => 5, DestinosComisionadosPeer::ID_TRANSPORTE => 6, 
			DestinosComisionadosPeer::FECHA_INI => 7, DestinosComisionadosPeer::FECHA_FIN => 8, DestinosComisionadosPeer::NUM_DIAS => 9, ),
		BasePeer::TYPE_FIELDNAME => array ('NITOCC' => 0, 'ID_COMISION' => 1, 'CODMUN' => 2, 'ORDEN' => 3, 'ESTADO' => 4, 'VIGENCIA' => 5, 'ID_TRANSPORTE' => 6, 'FECHA_INI' => 7, 'FECHA_FIN' => 8, 'NUM_DIAS' => 9, ),
		BasePeer::TYPE_NUM => array (0, 1, 2, 3, 4, 5, 6, 7, 8, 9,)
	);

	
	public static function getMapBuilder()
	{
		return BasePeer::getMapBuilder('lib.model.map.DestinosComisionadosMapBuilder');
	}
	
	public static function getPhpNameMap()
	{
		if (self::$phpNameMap === null) {
			$map = DestinosComisionadosPeer::getTableMap();
			$columns = $map->getColumns();
			$nameMap = array();
			foreach ($columns as $column) {
				$nameMap[$column->getPhpName()] = $column->getColumnName();
			}
			self::$phpNameMap = $nameMap;
		}
		return self::$phpNameMap;
	}
	
	static public function translateFieldName($name, $fromType, $toType)
	{
		$toNames = self::getFieldNames($toType);
		$key = isset(self::$fieldKeys[$fromType][$name]) ? self::$fieldKeys[$fromType][$name] : null;
		if ($key === null) {
			throw new PropelException("'$name' could not be found in the field names of type '$fromType'. These are: " . print_r(self::$fieldKeys[$fromType], true));
		}
		return $toNames[$key];
	}

	

	static public function getFieldNames($type = BasePeer::TYPE_PHPNAME)
	{
		if (!array_key_exists($type, self::$fieldNames)) {
			throw new PropelException('Method getFieldNames() expects the parameter $type to be one of the class constants TYPE_PHPNAME, TYPE_COLNAME, TYPE_FIELDNAME, TYPE_NUM. ' . $type . ' was given.');
		}
		return self::$fieldNames[$type];
	}

	
	public static function alias($alias, $column)
	{
		return str_replace(DestinosComisionadosPeer::TABLE_NAME.'.', $alias.'.', $column);
	}

	
	public static function addSelectColumns(Criteria $criteria)
	{

		$criteria->addSelectColumn(DestinosComisionadosPeer::NITOCC);

		$criteria->addSelectColumn(DestinosComisionadosPeer::ID_COMISION);

		$criteria->addSelectColumn(DestinosComisionadosPeer::CODMUN);

		$criteria->addSelectColumn(DestinosComisionadosPeer::ORDEN);

		$criteria->addSelectColumn(DestinosComisionadosPeer::ESTADO);

		$criteria->addSelectColumn(DestinosComisionadosPeer::VIGENCIA);

		$criteria->addSelectColumn(DestinosComisionadosPeer::ID_TRANSPORTE);

		$criteria->addSelectColumn(DestinosComisionadosPeer::FECHA_INI);

		$criteria->addSelectColumn(DestinosComisionadosPeer::FECHA_FIN);

		$criteria->addSelectColumn(DestinosComisionadosPeer::NUM_DIAS);

	}

	const COUNT = 'COUNT(DESTINOS_COMISIONADOS.NITOCC)';
	const COUNT_DISTINCT = 'COUNT(DISTINCT DESTINOS_COMISIONADOS.NITOCC)';

	
	public static function doCount(Criteria $criteria, $distinct = false, $con = null)
	{
				$criteria = clone $criteria;

				$criteria->clearSelectColumns()->clearOrderByColumns();
		if ($distinct || in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->addSelectColumn(DestinosComisionadosPeer::COUNT_DISTINCT);
		} else {
			$criteria->addSelectColumn(DestinosComisionadosPeer::COUNT);
		}

				foreach($criteria->getGroupByColumns() as $column)
		{
			$criteria->addSelectColumn($column);
		}

		$rs = DestinosComisionadosPeer::doSelectRS($criteria, $con);
		if ($rs->next()) {
			return $rs->getInt(1);
		} else {
						return 0;
		}
	}
	
	public static function doSelectOne(Criteria $criteria, $con = null)
	{
		$critcopy = clone $criteria;
		$critcopy->setLimit(1);
		$objects = DestinosComisionadosPeer::doSelect($critcopy, $con);
		if ($objects) {
			return $objects[0];
		}
		return null;
	}
	
	public static function doSelect(Criteria $criteria, $con = null)
	{
		return DestinosComisionadosPeer::populateObjects(DestinosComisionadosPeer::doSelectRS($criteria, $con));
	}
	
	public static function doSelectRS(Criteria $criteria, $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(self::DATABASE_NAME);
		}

		if (!$criteria->getSelectColumns()) {
			$criteria = clone $criteria;
			DestinosComisionadosPeer::addSelectColumns($criteria);
		}

				$criteria->setDbName(self::DATABASE_NAME);

						return BasePeer::doSelect($criteria, $con);
	}
	
	public static function populateObjects(ResultSet $rs)
	{
		$results = array();
	
				$cls = DestinosComisionadosPeer::getOMClass();
		$cls = sfPropel::import($cls);
				while($rs->next()) {
		
			$obj = new $cls();
			$obj->hydrate($rs);
			$results[] = $obj;
			
		}
		return $results;
	}

	
	public static function doCountJoinTerceros(Criteria $criteria, $distinct = false, $con = null)
	{
				$criteria = clone $criteria;

				$criteria->clearSelectColumns()->clearOrderByColumns();
		if ($distinct || in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->addSelectColumn(DestinosComisionadosPeer::COUNT_DISTINCT);
		} else {
			$criteria->addSelectColumn(DestinosComisionadosPeer::COUNT);
		}

				foreach($criteria->getGroupByColumns() as $column)
		{
			$criteria->addSelectColumn($column);
		}

		$criteria->addJoin(DestinosComisionadosPeer::NITOCC, TercerosPeer::NITOCC);

		$rs = DestinosComisionadosPeer::doSelectRS($criteria, $con);
		if ($rs->next()) {
			return $rs->getInt(1);
		} else {
						return 0;
		}
	}


	
	public static function doCountJoinMunicipios(Criteria $criteria, $distinct = false, $con = null)
	{
				$criteria = clone $criteria;

				$criteria->clearSelectColumns()->clearOrderByColumns();
		if ($distinct || in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->addSelectColumn(DestinosComisionadosPeer::COUNT_DISTINCT);
		} else {
			$criteria->addSelectColumn(DestinosComisionadosPeer::COUNT);
		}

				foreach($criteria->getGroupByColumns() as $column)
		{
			$criteria->addSelectColumn($column);
		}

		$criteria->addJoin(DestinosComisionadosPeer::CODMUN, MunicipiosPeer::CODMUN);

		$rs = DestinosComisionadosPeer::doSelectRS($criteria, $con);
		if ($rs->next()) {
			return $rs->getInt(1);
		} else {
						return 0;
		}
	}


	
	public static function doCountJoinTransportes(Criteria $criteria, $distinct = false, $con = null)
	{
				$criteria = clone $criteria;

				$criteria->clearSelectColumns()->clearOrderByColumns();
		if ($distinct || in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->addSelectColumn(DestinosComisionadosPeer::COUNT_DISTINCT);
		} else {
			$criteria->addSelectColumn(DestinosComisionadosPeer::COUNT);
		}

				foreach($criteria->getGroupByColumns() as $column)
		{
			$criteria->addSelectColumn($column);
		}

		$criteria->addJoin(DestinosComisionadosPeer::ID_TRANSPORTE, TransportesPeer::ID);

		$rs = DestinosComisionadosPeer::doSelectRS($criteria, $con);
		if ($rs->next()) {
			return $rs->getInt(1);
		} else {
						return 0;
		}
	}


	
	public static function doCountJoinComisiones(Criteria $criteria, $distinct = false, $con = null)
	{
				$criteria = clone $criteria;

				$criteria->clearSelectColumns()->clearOrderByColumns();
		if ($distinct || in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->addSelectColumn(DestinosComisionadosPeer::COUNT_DISTINCT);
		} else {
			$criteria->addSelectColumn(DestinosComisionadosPeer::COUNT);
		}

				foreach($criteria->getGroupByColumns() as $column)
		{
			$criteria->addSelectColumn($column);
		}

		$criteria->addJoin(DestinosComisionadosPeer::ID_COMISION, ComisionesPeer::VIGENCIA);

		$criteria->addJoin(DestinosComisionadosPeer::ID_COMISION, ComisionesPeer::VIGENCIA);

		$criteria->addJoin(DestinosComisionadosPeer::VIGENCIA, ComisionesPeer::VIGENCIA);

		$criteria->addJoin(DestinosComisionadosPeer::VIGENCIA, ComisionesPeer::VIGENCIA);

		$rs = DestinosComisionadosPeer::doSelectRS($criteria, $con);
		if ($rs->next()) {
			return $rs->getInt(1);
		} else {
						return 0;
		}
	}


	
	public static function doSelectJoinTerceros(Criteria $c, $con = null)
	{
		$c = clone $c;

				if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		DestinosComisionadosPeer::addSelectColumns($c);
		$startcol = (DestinosComisionadosPeer::NUM_COLUMNS - DestinosComisionadosPeer::NUM_LAZY_LOAD_COLUMNS) + 1;
		TercerosPeer::addSelectColumns($c);

		$c->addJoin(DestinosComisionadosPeer::NITOCC, TercerosPeer::NITOCC);
		$rs = BasePeer::doSelect($c, $con);
		$results = array();

		while($rs->next()) {

			$omClass = DestinosComisionadosPeer::getOMClass();

			$cls = sfPropel::import($omClass);
			$obj1 = new $cls();
			$obj1->hydrate($rs);

			$omClass = TercerosPeer::getOMClass();

			$cls = sfPropel::import($omClass);
			$obj2 = new $cls();
			$obj2->hydrate($rs, $startcol);

			$newObject = true;
			foreach($results as $temp_obj1) {
				$temp_obj2 = $temp_obj1->getTerceros(); 				if ($temp_obj2->getPrimaryKey() === $obj2->getPrimaryKey()) {
					$newObject = false;
										$temp_obj2->addDestinosComisionados($obj1); 					break;
				}
			}
			if ($newObject) {
				$obj2->initDestinosComisionadoss();
				$obj2->addDestinosComisionados($obj1); 			}
			$results[] = $obj1;
		}
		return $results;
	}


	
	public static function doSelectJoinMunicipios(Criteria $c, $con = null)
	{
		$c = clone $c;

				if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		DestinosComisionadosPeer::addSelectColumns($c);
		$startcol = (DestinosComisionadosPeer::NUM_COLUMNS - DestinosComisionadosPeer::NUM_LAZY_LOAD_COLUMNS) + 1;
		MunicipiosPeer::addSelectColumns($c);

		$c->addJoin(DestinosComisionadosPeer::CODMUN, MunicipiosPeer::CODMUN);
		$rs = BasePeer::doSelect($c, $con);
		$results = array();

		while($rs->next()) {

			$omClass = DestinosComisionadosPeer::getOMClass();

			$cls = sfPropel::import($omClass);
			$obj1 = new $cls();
			$obj1->hydrate($rs);

			$omClass = MunicipiosPeer::getOMClass();

			$cls = sfPropel::import($omClass);
			$obj2 = new $cls();
			$obj2->hydrate($rs, $startcol);

			$newObject = true;
			foreach($results as $temp_obj1) {
				$temp_obj2 = $temp_obj1->getMunicipios(); 				if ($temp_obj2->getPrimaryKey() === $obj2->getPrimaryKey()) {
					$newObject = false;
										$temp_obj2->addDestinosComisionados($obj1); 					break;
				}
			}
			if ($newObject) {
				$obj2->initDestinosComisionadoss();
				$obj2->addDestinosComisionados($obj1); 			}
			$results[] = $obj1;
		}
		return $results;
	}


	
	public static function doSelectJoinTransportes(Criteria $c, $con = null)
	{
		$c = clone $c;

				if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		DestinosComisionadosPeer::addSelectColumns($c);
		$startcol = (DestinosComisionadosPeer::NUM_COLUMNS - DestinosComisionadosPeer::NUM_LAZY_LOAD_COLUMNS) + 1;
		TransportesPeer::addSelectColumns($c);

		$c->addJoin(DestinosComisionadosPeer::ID_TRANSPORTE, TransportesPeer::ID);
		$rs = BasePeer::doSelect($c, $con);
		$results = array();

		while($rs->next()) {

			$omClass = DestinosComisionadosPeer::getOMClass();

			$cls = sfPropel::import($omClass);
			$obj1 = new $cls();
			$obj1->hydrate($rs);

			$omClass = TransportesPeer::getOMClass();

			$cls = sfPropel::import($omClass);
			$obj2 = new $cls();
			$obj2->hydrate($rs, $startcol);

			$newObject = true;
			foreach($results as $temp_obj1) {
				$temp_obj2 = $temp_obj1->getTransportes(); 				if ($temp_obj2->getPrimaryKey() === $obj2->getPrimaryKey()) {
					$newObject = false;
										$temp_obj2->addDestinosComisionados($obj1); 					break;
				}
			}
			if ($newObject) {
				$obj2->initDestinosComisionadoss();
				$obj2->addDestinosComisionados($obj1); 			}
			$results[] = $obj1;
		}
		return $results;
	}


	
	public static function doSelectJoinComisiones(Criteria $c, $con = null)
	{
		$c = clone $c;

				if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		DestinosComisionadosPeer::addSelectColumns($c);
		$startcol = (DestinosComisionadosPeer::NUM_COLUMNS - DestinosComisionadosPeer::NUM_LAZY_LOAD_COLUMNS) + 1;
		ComisionesPeer::addSelectColumns($c);

		$c->addJoin(DestinosComisionadosPeer::ID_COMISION, ComisionesPeer::VIGENCIA);
		$c->addJoin(DestinosComisionadosPeer::ID_COMISION, ComisionesPeer::VIGENCIA);
		$c->addJoin(DestinosComisionadosPeer::VIGENCIA, ComisionesPeer::VIGENCIA);
		$c->addJoin(DestinosComisionadosPeer::VIGENCIA, ComisionesPeer::VIGENCIA);
		$rs = BasePeer::doSelect($c, $con);
		$results = array();

		while($rs->next()) {

			$omClass = DestinosComisionadosPeer::getOMClass();

			$cls = sfPropel::import($omClass);
			$obj1 = new $cls();
			$obj1->hydrate($rs);

			$omClass = ComisionesPeer::getOMClass();

			$cls = sfPropel::import($omClass);
			$obj2 = new $cls();
			$obj2->hydrate($rs, $startcol);

			$newObject = true;
			foreach($results as $temp_obj1) {
				$temp_obj2 = $temp_obj1->getComisiones(); 				if ($temp_obj2->getPrimaryKey() === $obj2->getPrimaryKey()) {
					$newObject = false;
										$temp_obj2->addDestinosComisionados($obj1); 					break;
				}
			}
			if ($newObject) {
				$obj2->initDestinosComisionadoss();
				$obj2->addDestinosComisionados($obj1); 			}
			$results[] = $obj1;
		}
		return $results;
	}


	
	public static function doCountJoinAll(Criteria $criteria, $distinct = false, $con = null)
	{
		$criteria = clone $criteria;

				$criteria->clearSelectColumns()->clearOrderByColumns();
		if ($distinct || in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->addSelectColumn(DestinosComisionadosPeer::COUNT_DISTINCT);
		} else {
			$criteria->addSelectColumn(DestinosComisionadosPeer::COUNT);
		}

				foreach($criteria->getGroupByColumns() as $column)
		{
			$criteria->addSelectColumn($column);
		}

		$criteria->addJoin(DestinosComisionadosPeer::NITOCC, TercerosPeer::NITOCC);

		$criteria->addJoin(DestinosComisionadosPeer::CODMUN, MunicipiosPeer::CODMUN);

		$criteria->addJoin(DestinosComisionadosPeer::ID_TRANSPORTE, TransportesPeer::ID);

		$criteria->addJoin(DestinosComisionadosPeer::ID_COMISION, ComisionesPeer::VIGENCIA);

		$criteria->addJoin(DestinosComisionadosPeer::ID_COMISION, ComisionesPeer::VIGENCIA);

		$criteria->addJoin(DestinosComisionadosPeer::VIGENCIA, ComisionesPeer::VIGENCIA);

		$criteria->addJoin(DestinosComisionadosPeer::VIGENCIA, ComisionesPeer::VIGENCIA);

		$rs = DestinosComisionadosPeer::doSelectRS($criteria, $con);
		if ($rs->next()) {
			return $rs->getInt(1);
		} else {
						return 0;
		}
	}


	
	public static function doSelectJoinAll(Criteria $c, $con = null)
	{
		$c = clone $c;

				if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		DestinosComisionadosPeer::addSelectColumns($c);
		$startcol2 = (DestinosComisionadosPeer::NUM_COLUMNS - DestinosComisionadosPeer::NUM_LAZY_LOAD_COLUMNS) + 1;

		TercerosPeer::addSelectColumns($c);
		$startcol3 = $startcol2 + TercerosPeer::NUM_COLUMNS;

		MunicipiosPeer::addSelectColumns($c);
		$startcol4 = $startcol3 + MunicipiosPeer::NUM_COLUMNS;

		TransportesPeer::addSelectColumns($c);
		$startcol5 = $startcol4 + TransportesPeer::NUM_COLUMNS;

		ComisionesPeer::addSelectColumns($c);
		$startcol6 = $startcol5 + ComisionesPeer::NUM_COLUMNS;

		$c->addJoin(DestinosComisionadosPeer::NITOCC, TercerosPeer::NITOCC);

		$c->addJoin(DestinosComisionadosPeer::CODMUN, MunicipiosPeer::CODMUN);

		$c->addJoin(DestinosComisionadosPeer::ID_TRANSPORTE, TransportesPeer::ID);

		$c->addJoin(DestinosComisionadosPeer::ID_COMISION, ComisionesPeer::VIGENCIA);

		$c->addJoin(DestinosComisionadosPeer::ID_COMISION, ComisionesPeer::VIGENCIA);

		$c->addJoin(DestinosComisionadosPeer::VIGENCIA, ComisionesPeer::VIGENCIA);

		$c->addJoin(DestinosComisionadosPeer::VIGENCIA, ComisionesPeer::VIGENCIA);

		$rs = BasePeer::doSelect($c, $con);
		$results = array();

		while($rs->next()) {

			$omClass = DestinosComisionadosPeer::getOMClass();


			$cls = sfPropel::import($omClass);
			$obj1 = new $cls();
			$obj1->hydrate($rs);


					
			$omClass = TercerosPeer::getOMClass();


			$cls = sfPropel::import($omClass);
			$obj2 = new $cls();
			$obj2->hydrate($rs, $startcol2);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj2 = $temp_obj1->getTerceros(); 				if ($temp_obj2->getPrimaryKey() === $obj2->getPrimaryKey()) {
					$newObject = false;
					$temp_obj2->addDestinosComisionados($obj1); 					break;
				}
			}

			if ($newObject) {
				$obj2->initDestinosComisionadoss();
				$obj2->addDestinosComisionados($obj1);
			}


					
			$omClass = MunicipiosPeer::getOMClass();


			$cls = sfPropel::import($omClass);
			$obj3 = new $cls();
			$obj3->hydrate($rs, $startcol3);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj3 = $temp_obj1->getMunicipios(); 				if ($temp_obj3->getPrimaryKey() === $obj3->getPrimaryKey()) {
					$newObject = false;
					$temp_obj3->addDestinosComisionados($obj1); 					break;
				}
			}

			if ($newObject) {
				$obj3->initDestinosComisionadoss();
				$obj3->addDestinosComisionados($obj1);
			}


					
			$omClass = TransportesPeer::getOMClass();


			$cls = sfPropel::import($omClass);
			$obj4 = new $cls();
			$obj4->hydrate($rs, $startcol4);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj4 = $temp_obj1->getTransportes(); 				if ($temp_obj4->getPrimaryKey() === $obj4->getPrimaryKey()) {
					$newObject = false;
					$temp_obj4->addDestinosComisionados($obj1); 					break;
				}
			}

			if ($newObject) {
				$obj4->initDestinosComisionadoss();
				$obj4->addDestinosComisionados($obj1);
			}


					
			$omClass = ComisionesPeer::getOMClass();


			$cls = sfPropel::import($omClass);
			$obj5 = new $cls();
			$obj5->hydrate($rs, $startcol5);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj5 = $temp_obj1->getComisiones(); 				if ($temp_obj5->getPrimaryKey() === $obj5->getPrimaryKey()) {
					$newObject = false;
					$temp_obj5->addDestinosComisionados($obj1); 					break;
				}
			}

			if ($newObject) {
				$obj5->initDestinosComisionadoss();
				$obj5->addDestinosComisionados($obj1);
			}

			$results[] = $obj1;
		}
		return $results;
	}


	
	public static function doCountJoinAllExceptTerceros(Criteria $criteria, $distinct = false, $con = null)
	{
				$criteria = clone $criteria;

				$criteria->clearSelectColumns()->clearOrderByColumns();
		if ($distinct || in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->addSelectColumn(DestinosComisionadosPeer::COUNT_DISTINCT);
		} else {
			$criteria->addSelectColumn(DestinosComisionadosPeer::COUNT);
		}

				foreach($criteria->getGroupByColumns() as $column)
		{
			$criteria->addSelectColumn($column);
		}

		$criteria->addJoin(DestinosComisionadosPeer::CODMUN, MunicipiosPeer::CODMUN);

		$criteria->addJoin(DestinosComisionadosPeer::ID_TRANSPORTE, TransportesPeer::ID);

		$criteria->addJoin(DestinosComisionadosPeer::ID_COMISION, ComisionesPeer::VIGENCIA);

		$criteria->addJoin(DestinosComisionadosPeer::ID_COMISION, ComisionesPeer::VIGENCIA);

		$criteria->addJoin(DestinosComisionadosPeer::VIGENCIA, ComisionesPeer::VIGENCIA);

		$criteria->addJoin(DestinosComisionadosPeer::VIGENCIA, ComisionesPeer::VIGENCIA);

		$rs = DestinosComisionadosPeer::doSelectRS($criteria, $con);
		if ($rs->next()) {
			return $rs->getInt(1);
		} else {
						return 0;
		}
	}


	
	public static function doCountJoinAllExceptMunicipios(Criteria $criteria, $distinct = false, $con = null)
	{
				$criteria = clone $criteria;

				$criteria->clearSelectColumns()->clearOrderByColumns();
		if ($distinct || in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->addSelectColumn(DestinosComisionadosPeer::COUNT_DISTINCT);
		} else {
			$criteria->addSelectColumn(DestinosComisionadosPeer::COUNT);
		}

				foreach($criteria->getGroupByColumns() as $column)
		{
			$criteria->addSelectColumn($column);
		}

		$criteria->addJoin(DestinosComisionadosPeer::NITOCC, TercerosPeer::NITOCC);

		$criteria->addJoin(DestinosComisionadosPeer::ID_TRANSPORTE, TransportesPeer::ID);

		$criteria->addJoin(DestinosComisionadosPeer::ID_COMISION, ComisionesPeer::VIGENCIA);

		$criteria->addJoin(DestinosComisionadosPeer::ID_COMISION, ComisionesPeer::VIGENCIA);

		$criteria->addJoin(DestinosComisionadosPeer::VIGENCIA, ComisionesPeer::VIGENCIA);

		$criteria->addJoin(DestinosComisionadosPeer::VIGENCIA, ComisionesPeer::VIGENCIA);

		$rs = DestinosComisionadosPeer::doSelectRS($criteria, $con);
		if ($rs->next()) {
			return $rs->getInt(1);
		} else {
						return 0;
		}
	}


	
	public static function doCountJoinAllExceptTransportes(Criteria $criteria, $distinct = false, $con = null)
	{
				$criteria = clone $criteria;

				$criteria->clearSelectColumns()->clearOrderByColumns();
		if ($distinct || in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->addSelectColumn(DestinosComisionadosPeer::COUNT_DISTINCT);
		} else {
			$criteria->addSelectColumn(DestinosComisionadosPeer::COUNT);
		}

				foreach($criteria->getGroupByColumns() as $column)
		{
			$criteria->addSelectColumn($column);
		}

		$criteria->addJoin(DestinosComisionadosPeer::NITOCC, TercerosPeer::NITOCC);

		$criteria->addJoin(DestinosComisionadosPeer::CODMUN, MunicipiosPeer::CODMUN);

		$criteria->addJoin(DestinosComisionadosPeer::ID_COMISION, ComisionesPeer::VIGENCIA);

		$criteria->addJoin(DestinosComisionadosPeer::ID_COMISION, ComisionesPeer::VIGENCIA);

		$criteria->addJoin(DestinosComisionadosPeer::VIGENCIA, ComisionesPeer::VIGENCIA);

		$criteria->addJoin(DestinosComisionadosPeer::VIGENCIA, ComisionesPeer::VIGENCIA);

		$rs = DestinosComisionadosPeer::doSelectRS($criteria, $con);
		if ($rs->next()) {
			return $rs->getInt(1);
		} else {
						return 0;
		}
	}


	
	public static function doCountJoinAllExceptComisiones(Criteria $criteria, $distinct = false, $con = null)
	{
				$criteria = clone $criteria;

				$criteria->clearSelectColumns()->clearOrderByColumns();
		if ($distinct || in_array(Criteria::DISTINCT, $criteria->getSelectModifiers())) {
			$criteria->addSelectColumn(DestinosComisionadosPeer::COUNT_DISTINCT);
		} else {
			$criteria->addSelectColumn(DestinosComisionadosPeer::COUNT);
		}

				foreach($criteria->getGroupByColumns() as $column)
		{
			$criteria->addSelectColumn($column);
		}

		$criteria->addJoin(DestinosComisionadosPeer::NITOCC, TercerosPeer::NITOCC);

		$criteria->addJoin(DestinosComisionadosPeer::CODMUN, MunicipiosPeer::CODMUN);

		$criteria->addJoin(DestinosComisionadosPeer::ID_TRANSPORTE, TransportesPeer::ID);

		$rs = DestinosComisionadosPeer::doSelectRS($criteria, $con);
		if ($rs->next()) {
			return $rs->getInt(1);
		} else {
						return 0;
		}
	}


	
	public static function doSelectJoinAllExceptTerceros(Criteria $c, $con = null)
	{
		$c = clone $c;

								if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		DestinosComisionadosPeer::addSelectColumns($c);
		$startcol2 = (DestinosComisionadosPeer::NUM_COLUMNS - DestinosComisionadosPeer::NUM_LAZY_LOAD_COLUMNS) + 1;

		MunicipiosPeer::addSelectColumns($c);
		$startcol3 = $startcol2 + MunicipiosPeer::NUM_COLUMNS;

		TransportesPeer::addSelectColumns($c);
		$startcol4 = $startcol3 + TransportesPeer::NUM_COLUMNS;

		ComisionesPeer::addSelectColumns($c);
		$startcol5 = $startcol4 + ComisionesPeer::NUM_COLUMNS;

		$c->addJoin(DestinosComisionadosPeer::CODMUN, MunicipiosPeer::CODMUN);

		$c->addJoin(DestinosComisionadosPeer::ID_TRANSPORTE, TransportesPeer::ID);

		$c->addJoin(DestinosComisionadosPeer::ID_COMISION, ComisionesPeer::VIGENCIA);

		$c->addJoin(DestinosComisionadosPeer::ID_COMISION, ComisionesPeer::VIGENCIA);

		$c->addJoin(DestinosComisionadosPeer::VIGENCIA, ComisionesPeer::VIGENCIA);

		$c->addJoin(DestinosComisionadosPeer::VIGENCIA, ComisionesPeer::VIGENCIA);


		$rs = BasePeer::doSelect($c, $con);
		$results = array();

		while($rs->next()) {

			$omClass = DestinosComisionadosPeer::getOMClass();

			$cls = sfPropel::import($omClass);
			$obj1 = new $cls();
			$obj1->hydrate($rs);

			$omClass = MunicipiosPeer::getOMClass();


			$cls = sfPropel::import($omClass);
			$obj2  = new $cls();
			$obj2->hydrate($rs, $startcol2);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj2 = $temp_obj1->getMunicipios(); 				if ($temp_obj2->getPrimaryKey() === $obj2->getPrimaryKey()) {
					$newObject = false;
					$temp_obj2->addDestinosComisionados($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj2->initDestinosComisionadoss();
				$obj2->addDestinosComisionados($obj1);
			}

			$omClass = TransportesPeer::getOMClass();


			$cls = sfPropel::import($omClass);
			$obj3  = new $cls();
			$obj3->hydrate($rs, $startcol3);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj3 = $temp_obj1->getTransportes(); 				if ($temp_obj3->getPrimaryKey() === $obj3->getPrimaryKey()) {
					$newObject = false;
					$temp_obj3->addDestinosComisionados($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj3->initDestinosComisionadoss();
				$obj3->addDestinosComisionados($obj1);
			}

			$omClass = ComisionesPeer::getOMClass();


			$cls = sfPropel::import($omClass);
			$obj4  = new $cls();
			$obj4->hydrate($rs, $startcol4);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj4 = $temp_obj1->getComisiones(); 				if ($temp_obj4->getPrimaryKey() === $obj4->getPrimaryKey()) {
					$newObject = false;
					$temp_obj4->addDestinosComisionados($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj4->initDestinosComisionadoss();
				$obj4->addDestinosComisionados($obj1);
			}

			$results[] = $obj1;
		}
		return $results;
	}


	
	public static function doSelectJoinAllExceptMunicipios(Criteria $c, $con = null)
	{
		$c = clone $c;

								if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		DestinosComisionadosPeer::addSelectColumns($c);
		$startcol2 = (DestinosComisionadosPeer::NUM_COLUMNS - DestinosComisionadosPeer::NUM_LAZY_LOAD_COLUMNS) + 1;

		TercerosPeer::addSelectColumns($c);
		$startcol3 = $startcol2 + TercerosPeer::NUM_COLUMNS;

		TransportesPeer::addSelectColumns($c);
		$startcol4 = $startcol3 + TransportesPeer::NUM_COLUMNS;

		ComisionesPeer::addSelectColumns($c);
		$startcol5 = $startcol4 + ComisionesPeer::NUM_COLUMNS;

		$c->addJoin(DestinosComisionadosPeer::NITOCC, TercerosPeer::NITOCC);

		$c->addJoin(DestinosComisionadosPeer::ID_TRANSPORTE, TransportesPeer::ID);

		$c->addJoin(DestinosComisionadosPeer::ID_COMISION, ComisionesPeer::VIGENCIA);

		$c->addJoin(DestinosComisionadosPeer::ID_COMISION, ComisionesPeer::VIGENCIA);

		$c->addJoin(DestinosComisionadosPeer::VIGENCIA, ComisionesPeer::VIGENCIA);

		$c->addJoin(DestinosComisionadosPeer::VIGENCIA, ComisionesPeer::VIGENCIA);


		$rs = BasePeer::doSelect($c, $con);
		$results = array();

		while($rs->next()) {

			$omClass = DestinosComisionadosPeer::getOMClass();

			$cls = sfPropel::import($omClass);
			$obj1 = new $cls();
			$obj1->hydrate($rs);

			$omClass = TercerosPeer::getOMClass();


			$cls = sfPropel::import($omClass);
			$obj2  = new $cls();
			$obj2->hydrate($rs, $startcol2);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj2 = $temp_obj1->getTerceros(); 				if ($temp_obj2->getPrimaryKey() === $obj2->getPrimaryKey()) {
					$newObject = false;
					$temp_obj2->addDestinosComisionados($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj2->initDestinosComisionadoss();
				$obj2->addDestinosComisionados($obj1);
			}

			$omClass = TransportesPeer::getOMClass();


			$cls = sfPropel::import($omClass);
			$obj3  = new $cls();
			$obj3->hydrate($rs, $startcol3);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj3 = $temp_obj1->getTransportes(); 				if ($temp_obj3->getPrimaryKey() === $obj3->getPrimaryKey()) {
					$newObject = false;
					$temp_obj3->addDestinosComisionados($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj3->initDestinosComisionadoss();
				$obj3->addDestinosComisionados($obj1);
			}

			$omClass = ComisionesPeer::getOMClass();


			$cls = sfPropel::import($omClass);
			$obj4  = new $cls();
			$obj4->hydrate($rs, $startcol4);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj4 = $temp_obj1->getComisiones(); 				if ($temp_obj4->getPrimaryKey() === $obj4->getPrimaryKey()) {
					$newObject = false;
					$temp_obj4->addDestinosComisionados($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj4->initDestinosComisionadoss();
				$obj4->addDestinosComisionados($obj1);
			}

			$results[] = $obj1;
		}
		return $results;
	}


	
	public static function doSelectJoinAllExceptTransportes(Criteria $c, $con = null)
	{
		$c = clone $c;

								if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		DestinosComisionadosPeer::addSelectColumns($c);
		$startcol2 = (DestinosComisionadosPeer::NUM_COLUMNS - DestinosComisionadosPeer::NUM_LAZY_LOAD_COLUMNS) + 1;

		TercerosPeer::addSelectColumns($c);
		$startcol3 = $startcol2 + TercerosPeer::NUM_COLUMNS;

		MunicipiosPeer::addSelectColumns($c);
		$startcol4 = $startcol3 + MunicipiosPeer::NUM_COLUMNS;

		ComisionesPeer::addSelectColumns($c);
		$startcol5 = $startcol4 + ComisionesPeer::NUM_COLUMNS;

		$c->addJoin(DestinosComisionadosPeer::NITOCC, TercerosPeer::NITOCC);

		$c->addJoin(DestinosComisionadosPeer::CODMUN, MunicipiosPeer::CODMUN);

		$c->addJoin(DestinosComisionadosPeer::ID_COMISION, ComisionesPeer::VIGENCIA);

		$c->addJoin(DestinosComisionadosPeer::ID_COMISION, ComisionesPeer::VIGENCIA);

		$c->addJoin(DestinosComisionadosPeer::VIGENCIA, ComisionesPeer::VIGENCIA);

		$c->addJoin(DestinosComisionadosPeer::VIGENCIA, ComisionesPeer::VIGENCIA);


		$rs = BasePeer::doSelect($c, $con);
		$results = array();

		while($rs->next()) {

			$omClass = DestinosComisionadosPeer::getOMClass();

			$cls = sfPropel::import($omClass);
			$obj1 = new $cls();
			$obj1->hydrate($rs);

			$omClass = TercerosPeer::getOMClass();


			$cls = sfPropel::import($omClass);
			$obj2  = new $cls();
			$obj2->hydrate($rs, $startcol2);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj2 = $temp_obj1->getTerceros(); 				if ($temp_obj2->getPrimaryKey() === $obj2->getPrimaryKey()) {
					$newObject = false;
					$temp_obj2->addDestinosComisionados($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj2->initDestinosComisionadoss();
				$obj2->addDestinosComisionados($obj1);
			}

			$omClass = MunicipiosPeer::getOMClass();


			$cls = sfPropel::import($omClass);
			$obj3  = new $cls();
			$obj3->hydrate($rs, $startcol3);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj3 = $temp_obj1->getMunicipios(); 				if ($temp_obj3->getPrimaryKey() === $obj3->getPrimaryKey()) {
					$newObject = false;
					$temp_obj3->addDestinosComisionados($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj3->initDestinosComisionadoss();
				$obj3->addDestinosComisionados($obj1);
			}

			$omClass = ComisionesPeer::getOMClass();


			$cls = sfPropel::import($omClass);
			$obj4  = new $cls();
			$obj4->hydrate($rs, $startcol4);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj4 = $temp_obj1->getComisiones(); 				if ($temp_obj4->getPrimaryKey() === $obj4->getPrimaryKey()) {
					$newObject = false;
					$temp_obj4->addDestinosComisionados($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj4->initDestinosComisionadoss();
				$obj4->addDestinosComisionados($obj1);
			}

			$results[] = $obj1;
		}
		return $results;
	}


	
	public static function doSelectJoinAllExceptComisiones(Criteria $c, $con = null)
	{
		$c = clone $c;

								if ($c->getDbName() == Propel::getDefaultDB()) {
			$c->setDbName(self::DATABASE_NAME);
		}

		DestinosComisionadosPeer::addSelectColumns($c);
		$startcol2 = (DestinosComisionadosPeer::NUM_COLUMNS - DestinosComisionadosPeer::NUM_LAZY_LOAD_COLUMNS) + 1;

		TercerosPeer::addSelectColumns($c);
		$startcol3 = $startcol2 + TercerosPeer::NUM_COLUMNS;

		MunicipiosPeer::addSelectColumns($c);
		$startcol4 = $startcol3 + MunicipiosPeer::NUM_COLUMNS;

		TransportesPeer::addSelectColumns($c);
		$startcol5 = $startcol4 + TransportesPeer::NUM_COLUMNS;

		$c->addJoin(DestinosComisionadosPeer::NITOCC, TercerosPeer::NITOCC);

		$c->addJoin(DestinosComisionadosPeer::CODMUN, MunicipiosPeer::CODMUN);

		$c->addJoin(DestinosComisionadosPeer::ID_TRANSPORTE, TransportesPeer::ID);


		$rs = BasePeer::doSelect($c, $con);
		$results = array();

		while($rs->next()) {

			$omClass = DestinosComisionadosPeer::getOMClass();

			$cls = sfPropel::import($omClass);
			$obj1 = new $cls();
			$obj1->hydrate($rs);

			$omClass = TercerosPeer::getOMClass();


			$cls = sfPropel::import($omClass);
			$obj2  = new $cls();
			$obj2->hydrate($rs, $startcol2);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj2 = $temp_obj1->getTerceros(); 				if ($temp_obj2->getPrimaryKey() === $obj2->getPrimaryKey()) {
					$newObject = false;
					$temp_obj2->addDestinosComisionados($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj2->initDestinosComisionadoss();
				$obj2->addDestinosComisionados($obj1);
			}

			$omClass = MunicipiosPeer::getOMClass();


			$cls = sfPropel::import($omClass);
			$obj3  = new $cls();
			$obj3->hydrate($rs, $startcol3);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj3 = $temp_obj1->getMunicipios(); 				if ($temp_obj3->getPrimaryKey() === $obj3->getPrimaryKey()) {
					$newObject = false;
					$temp_obj3->addDestinosComisionados($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj3->initDestinosComisionadoss();
				$obj3->addDestinosComisionados($obj1);
			}

			$omClass = TransportesPeer::getOMClass();


			$cls = sfPropel::import($omClass);
			$obj4  = new $cls();
			$obj4->hydrate($rs, $startcol4);

			$newObject = true;
			for ($j=0, $resCount=count($results); $j < $resCount; $j++) {
				$temp_obj1 = $results[$j];
				$temp_obj4 = $temp_obj1->getTransportes(); 				if ($temp_obj4->getPrimaryKey() === $obj4->getPrimaryKey()) {
					$newObject = false;
					$temp_obj4->addDestinosComisionados($obj1);
					break;
				}
			}

			if ($newObject) {
				$obj4->initDestinosComisionadoss();
				$obj4->addDestinosComisionados($obj1);
			}

			$results[] = $obj1;
		}
		return $results;
	}


  static public function getUniqueColumnNames()
  {
    return array();
  }
	
	public static function getTableMap()
	{
		return Propel::getDatabaseMap(self::DATABASE_NAME)->getTable(self::TABLE_NAME);
	}

	
	public static function getOMClass()
	{
		return DestinosComisionadosPeer::CLASS_DEFAULT;
	}

	
	public static function doInsert($values, $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(self::DATABASE_NAME);
		}

		if ($values instanceof Criteria) {
			$criteria = clone $values; 		} else {
			$criteria = $values->buildCriteria(); 		}


				$criteria->setDbName(self::DATABASE_NAME);

		try {
									$con->begin();
			$pk = BasePeer::doInsert($criteria, $con);
			$con->commit();
		} catch(PropelException $e) {
			$con->rollback();
			throw $e;
		}

		return $pk;
	}

	
	public static function doUpdate($values, $con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(self::DATABASE_NAME);
		}

		$selectCriteria = new Criteria(self::DATABASE_NAME);

		if ($values instanceof Criteria) {
			$criteria = clone $values; 
			$comparison = $criteria->getComparison(DestinosComisionadosPeer::NITOCC);
			$selectCriteria->add(DestinosComisionadosPeer::NITOCC, $criteria->remove(DestinosComisionadosPeer::NITOCC), $comparison);

			$comparison = $criteria->getComparison(DestinosComisionadosPeer::ID_COMISION);
			$selectCriteria->add(DestinosComisionadosPeer::ID_COMISION, $criteria->remove(DestinosComisionadosPeer::ID_COMISION), $comparison);

			$comparison = $criteria->getComparison(DestinosComisionadosPeer::CODMUN);
			$selectCriteria->add(DestinosComisionadosPeer::CODMUN, $criteria->remove(DestinosComisionadosPeer::CODMUN), $comparison);

			$comparison = $criteria->getComparison(DestinosComisionadosPeer::VIGENCIA);
			$selectCriteria->add(DestinosComisionadosPeer::VIGENCIA, $criteria->remove(DestinosComisionadosPeer::VIGENCIA), $comparison);

		} else { 			$criteria = $values->buildCriteria(); 			$selectCriteria = $values->buildPkeyCriteria(); 		}

				$criteria->setDbName(self::DATABASE_NAME);

		return BasePeer::doUpdate($selectCriteria, $criteria, $con);
	}

	
	public static function doDeleteAll($con = null)
	{
		if ($con === null) {
			$con = Propel::getConnection(self::DATABASE_NAME);
		}
		$affectedRows = 0; 		try {
									$con->begin();
			$affectedRows += BasePeer::doDeleteAll(DestinosComisionadosPeer::TABLE_NAME, $con);
			$con->commit();
			return $affectedRows;
		} catch (PropelException $e) {
			$con->rollback();
			throw $e;
		}
	}

	
	 public static function doDelete($values, $con = null)
	 {
		if ($con === null) {
			$con = Propel::getConnection(DestinosComisionadosPeer::DATABASE_NAME);
		}

		if ($values instanceof Criteria) {
			$criteria = clone $values; 		} elseif ($values instanceof DestinosComisionados) {

			$criteria = $values->buildPkeyCriteria();
		} else {
						$criteria = new Criteria(self::DATABASE_NAME);
												if(count($values) == count($values, COUNT_RECURSIVE))
			{
								$values = array($values);
			}
			$vals = array();
			foreach($values as $value)
			{

				$vals[0][] = $value[0];
				$vals[1][] = $value[1];
				$vals[2][] = $value[2];
				$vals[3][] = $value[3];
			}

			$criteria->add(DestinosComisionadosPeer::NITOCC, $vals[0], Criteria::IN);
			$criteria->add(DestinosComisionadosPeer::ID_COMISION, $vals[1], Criteria::IN);
			$criteria->add(DestinosComisionadosPeer::CODMUN, $vals[2], Criteria::IN);
			$criteria->add(DestinosComisionadosPeer::VIGENCIA, $vals[3], Criteria::IN);
		}

				$criteria->setDbName(self::DATABASE_NAME);

		$affectedRows = 0; 
		try {
									$con->begin();
			
			$affectedRows += BasePeer::doDelete($criteria, $con);
			$con->commit();
			return $affectedRows;
		} catch (PropelException $e) {
			$con->rollback();
			throw $e;
		}
	}

	
	public static function doValidate(DestinosComisionados $obj, $cols = null)
	{
		$columns = array();

		if ($cols) {
			$dbMap = Propel::getDatabaseMap(DestinosComisionadosPeer::DATABASE_NAME);
			$tableMap = $dbMap->getTable(DestinosComisionadosPeer::TABLE_NAME);

			if (! is_array($cols)) {
				$cols = array($cols);
			}

			foreach($cols as $colName) {
				if ($tableMap->containsColumn($colName)) {
					$get = 'get' . $tableMap->getColumn($colName)->getPhpName();
					$columns[$colName] = $obj->$get();
				}
			}
		} else {

		}

		$res =  BasePeer::doValidate(DestinosComisionadosPeer::DATABASE_NAME, DestinosComisionadosPeer::TABLE_NAME, $columns);
    if ($res !== true) {
        $request = sfContext::getInstance()->getRequest();
        foreach ($res as $failed) {
            $col = DestinosComisionadosPeer::translateFieldname($failed->getColumn(), BasePeer::TYPE_COLNAME, BasePeer::TYPE_PHPNAME);
            $request->setError($col, $failed->getMessage());
        }
    }

    return $res;
	}

	
	public static function retrieveByPK( $nitocc, $id_comision, $codmun, $vigencia, $con = null) {
		if ($con === null) {
			$con = Propel::getConnection(self::DATABASE_NAME);
		}
		$criteria = new Criteria();
		$criteria->add(DestinosComisionadosPeer::NITOCC, $nitocc);
		$criteria->add(DestinosComisionadosPeer::ID_COMISION, $id_comision);
		$criteria->add(DestinosComisionadosPeer::CODMUN, $codmun);
		$criteria->add(DestinosComisionadosPeer::VIGENCIA, $vigencia);
		$v = DestinosComisionadosPeer::doSelect($criteria, $con);

		return !empty($v) ? $v[0] : null;
	}
} 
if (Propel::isInit()) {
			try {
		BaseDestinosComisionadosPeer::getMapBuilder();
	} catch (Exception $e) {
		Propel::log('Could not initialize Peer: ' . $e->getMessage(), Propel::LOG_ERR);
	}
} else {
			Propel::registerMapBuilder('lib.model.map.DestinosComisionadosMapBuilder');
}
